"use strict";

toto.addEventListener("click", function (e) {
	bidon.firstElementChild.classList.add("encadre");
});

let sortie = document.getElementById("sortie");

function itemListener(e) {
	/* On commence par chercher le numéro de l'item dans la liste
	 * (il peut avoir changé, puisque l'internaute peut supprimer
	 * des items)
	 */
	let clickedItem = e.currentTarget;
	let numeroItem = null;
	for (let i = 0; i < bidon.childElementCount; i++) {
		if (bidon.children[i] === clickedItem) {
			/* On a trouvé le bon li */
			numeroItem = i+1;
			break;
		}
	}
	if (numeroItem === null) {
		throw new Error("L'item cliqué n'est pas dans la liste ?!");
	}
	/* On effectue les actions */
	sortie.textContent = this.textContent;
	bidon.removeChild(clickedItem);
	alert("L'item numéro "+numeroItem+" a été supprimé");
}

document.querySelector("#toto em").addEventListener("mouseenter", function (e) {
	if (bidon.childElementCount > 2) {
		let secondLi = bidon.children[1];
		let clone = secondLi.cloneNode(true);
		clone.addEventListener("click", itemListener);
		bidon.insertBefore(clone, secondLi);
	}
});

for (let i = 0; i < bidon.childElementCount; i++) {
	bidon.children[i].addEventListener("click", itemListener);
}

/* Fonction portable pour récupérer le caractère correspondant à un événement clavier
 * (voir détails à la fin du cours sur le DOM) */
function getChar(event) {
	if (event.key !== undefined) {
		return event.key;
	} else {
		/* ne marchera pas pour les caractères accentués ou les touches spéciales  */
		return String.fromCharCode(event.which || event.keyCode).toLowerCase();
	}
}

document.addEventListener("keydown", function (e) {
	if (getChar(e) === "a") {
		let newLi = document.createElement("li");
		newLi.textContent = prompt("Rentrer le texte du nouvel item");
		newLi.addEventListener("click", itemListener);
		bidon.appendChild(newLi);
	}
});

